/*
 * Copyright 2013 Yuichiro Moriguchi
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.morilib.db.transact;

import java.io.IOException;
import java.sql.SQLException;

import net.morilib.db.engine.DefaultSqlEngine;
import net.morilib.db.schema.SqlSchema;

public class RelationsTransaction extends DefaultSqlEngine {

	/**
	 * 
	 * @param engine
	 */
	public RelationsTransaction(SqlSchema schema) {
		super(new TransactionSqlSchema(schema));
	}

	public void commit() throws IOException, SQLException {
		((TransactionSqlSchema)schema).commit();
	}

	public void rollback() throws IOException, SQLException {
		((TransactionSqlSchema)schema).rollback();
	}

}
